{
	"artifacts" : 
	[
		{
			"path" : "RelWithDebInfo/ISXMr.dll"
		},
		{
			"path" : "RelWithDebInfo/ISXMr.lib"
		},
		{
			"path" : "RelWithDebInfo/ISXMr.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"target_link_libraries",
			"target_compile_definitions",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 79,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 115,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 116,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 14,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 109,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 110,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 111,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /EHsc /Zi /O2 /Ob1 /DNDEBUG -std:c++20 -MT"
				}
			],
			"defines" : 
			[
				{
					"define" : "ISXMr_EXPORTS"
				},
				{
					"backtrace" : 3,
					"define" : "JS_STL_MAP"
				},
				{
					"backtrace" : 3,
					"define" : "NOMINMAX"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 4,
					"path" : "D:/code/personal/ISXMr/src"
				},
				{
					"backtrace" : 5,
					"path" : "D:/code/personal/ISXMr/libs/isxdk/include"
				},
				{
					"backtrace" : 6,
					"path" : "D:/code/personal/ISXMr/libs/argh"
				},
				{
					"backtrace" : 7,
					"path" : "D:/code/personal/ISXMr/includes"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "20"
			},
			"sourceIndexes" : 
			[
				1,
				4,
				7,
				9,
				14,
				16,
				19,
				21,
				23,
				26,
				29,
				31,
				33,
				35,
				40
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "ZERO_CHECK::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "ISXMr::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\code\\personal\\ISXMr\\libs\\isxdk\\lib64\\vs16\\ISUI.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "D:\\code\\personal\\ISXMr\\libs\\isxdk\\lib64\\vs16\\ISXDK.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "ISXMr",
	"nameOnDisk" : "ISXMr.dll",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				0,
				2,
				3,
				5,
				6,
				8,
				10,
				11,
				12,
				13,
				15,
				17,
				18,
				20,
				22,
				24,
				25,
				27,
				28,
				30,
				32,
				34,
				36,
				37,
				38,
				39,
				41,
				42,
				43,
				44,
				45
			]
		},
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				1,
				4,
				7,
				9,
				14,
				16,
				19,
				21,
				23,
				26,
				29,
				31,
				33,
				35,
				40
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"path" : "src/Api/ForWho.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Api/MrBotApi.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Api/MrBotApi.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/BotSettings/ExportedAbility.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Commands.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Commands.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/DataTypeList.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/DataTypes/MrBotApiType.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/DataTypes/MrBotApiType.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/ISXMr.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/ISXMr.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/ISXMrServices.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/Logger.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/ScopedEnumBitwiseOperators.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Services.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Services.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Tasks/BotTask.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Tasks/BotTask.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/Tasks/ExecutableTask.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Tasks/ExportAbilitiesTask.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Tasks/ExportAbilitiesTask.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Tasks/TaskExecutor.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/Tasks/TaskExecutor.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/TopLevelObjects.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/TopLevelObjects.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/UpdateUIPackageFile.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/Ability.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/Ability.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/AbilityEffect.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/AbilityInfo.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/AbilityInfo.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/Actor.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/Actor.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/ActorTLO.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/ActorTLO.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/Character.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/Character.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/CharacterClass.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/EQ2.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/ExtensionTLOs.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/isxeq2/GroupMember.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/GroupMember.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/LSObject.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/isxeq2/Point3f.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/lgui2.h",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "src/scripts.h",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "SHARED_LIBRARY"
}
